Bug 475077 - Show non-linear virtual desktop arrangements again
Summary: Show non-linear virtual desktop arrangements again
Status: CONFIRMED
Alias: None
Product: kwin
Classification: Plasma
Component: effects-overview (show other bugs)
Version: git master
Platform: Neon Linux
: HI wishlist
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords: qt6
: 477942 482023 482286 482564 482599 482924 483959 485481 488330 (view as bug list)
Depends on:
Blocks:
 
Reported: 2023-10-01 05:16 UTC by Dashon
Modified: 2024-06-11 00:41 UTC (History)
31 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Screenshot: Overview with 2x2 layout (1.25 MB, image/png)
2024-02-29 20:20 UTC, postix
Details
Screenshot: Grid with 1x4 layout (628.55 KB, image/png)
2024-02-29 20:20 UTC, postix
Details
Mockup: Overview with row indicator (766.45 KB, image/png)
2024-03-01 13:44 UTC, postix
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dashon 2023-10-01 05:16:28 UTC
SUMMARY
I was testing the new Desktop Bar merged with Desktop Grid that I saw in Nate's blog in a kde neon unstable virtual machine and I noticed that if you increase the number of rows in the virtual desktops setting. The desktop bar completely disappears in the overview effect.

STEPS TO REPRODUCE
1. Run plasma 6
2. Have at least two virtual desktops.
3. Trigger the overview. 
4. Observe that the desktop bar is there.
5. Open the virtual desktop settings in the system settings app.
6. Increase rows from the default value of 1 to 2 or more.
7. Trigger the overview effect once more.

OBSERVED RESULT
Desktop Bar is gone.

EXPECTED RESULT
Desktop Bar should still be there.

SOFTWARE/OS VERSIONS 
Linux/KDE Plasma:  kde neon unstable
KDE Plasma Version: 5.27.80
KDE Frameworks Version: 5.240.0
Qt Version: 6.6.0
Comment 1 Patrick Silva 2023-10-01 11:52:51 UTC
Can reproduce on neon unstable.
Comment 2 Nicolas Fella 2023-10-01 12:43:02 UTC
I believe this is intentional. The desktop bar is only shown when the desktop layout is 1-dimensional
Comment 3 Dashon 2023-10-01 16:03:10 UTC
(In reply to Nicolas Fella from comment #2)
> I believe this is intentional. The desktop bar is only shown when the
> desktop layout is 1-dimensional

If that is the move going forward then alright, but the reason I filled the bug is because this same setup already works in 5.27. I currently have  9 virtual desktops in 3 rows. The desktop bar is shown currently, but it will not be shown in plasma 6.
Comment 4 Niccolò Venerandi 2023-10-01 16:08:15 UTC
I can confirm this is intentional; the desktop bar will only be shown:
- If you have one desktop row
- If you have multiple desktop rows, and a number of desktop that's equal or less to the desktop rows (a.k.a. a single column of desktops)
Comment 5 Dashon 2023-10-01 16:42:54 UTC
(In reply to Niccolò Venerandi from comment #4)
> I can confirm this is intentional; the desktop bar will only be shown:
> - If you have one desktop row
> - If you have multiple desktop rows, and a number of desktop that's equal or
> less to the desktop rows (a.k.a. a single column of desktops)

Ok, but I believe this should be mentioned somewhere, so that people know to change there setup when it comes time to upgrade. As I mention this currently works, but will stop working when it comes time to upgrade to plasma 6. Another thing I noticed is that if you create a number of virtual desktops equal to the number of rows. The desktop bar moves from the top to the left side which is something else that does not currently happen in 5.27. Is this also intentional or should there be a different issue for this?
Comment 6 Dashon 2023-10-01 16:53:27 UTC
(In reply to Niccolò Venerandi from comment #4)
> I can confirm this is intentional; the desktop bar will only be shown:
> - If you have one desktop row
> - If you have multiple desktop rows, and a number of desktop that's equal or
> less to the desktop rows (a.k.a. a single column of desktops)

If moving the desktop bar to the left side of the screen is intentional also, I found that you can no longer click and grab to scroll the desktop bar. This means if you have a number of virtual desktops bigger than your screen size. Then you can not access those from the overview.
Comment 7 Rafael Lima 2024-02-27 20:50:22 UTC
I was about to report this issue as well...

If this is intentional, I'm not sure it's a very wise choice. This will basically make it a pain for users who like to have layouts with 2 or more rows, which are very handy. It kills a lot of the functionalities of the Overview, since you can no longer move applications to other desktops.

Using multiple-row layouts (f.i. 2x2, 3x3, etc) is very useful, because it gives much more flexibility for switching layouts with a single move (up, down, left, right).

When I was trying out Plasma 6, I set my virtual desktops in a 2x2 layout and when I toggled the overview to move applications to other desktops, it wasn't possible to do so. It simply killed the Overview for me.

FTR this works nicely on Plasma 5.27, so I don't see the point of removing something that is useful and works fine in Plasma 5.
Comment 8 Niccolò Venerandi 2024-02-28 18:59:54 UTC
(In reply to Rafael Lima from comment #7)
> I was about to report this issue as well...
> 
> If this is intentional, I'm not sure it's a very wise choice. This will
> basically make it a pain for users who like to have layouts with 2 or more
> rows, which are very handy. It kills a lot of the functionalities of the
> Overview, since you can no longer move applications to other desktops.
> 
> Using multiple-row layouts (f.i. 2x2, 3x3, etc) is very useful, because it
> gives much more flexibility for switching layouts with a single move (up,
> down, left, right).
> 
> When I was trying out Plasma 6, I set my virtual desktops in a 2x2 layout
> and when I toggled the overview to move applications to other desktops, it
> wasn't possible to do so. It simply killed the Overview for me.
> 
> FTR this works nicely on Plasma 5.27, so I don't see the point of removing
> something that is useful and works fine in Plasma 5.

You can press the Overview shortcut again to switch to the grid mode and easily move applications between desktops
Comment 9 Niccolò Venerandi 2024-02-29 16:40:06 UTC
*** Bug 482023 has been marked as a duplicate of this bug. ***
Comment 10 postix 2024-02-29 20:20:11 UTC
Created attachment 166218 [details]
Screenshot: Overview with 2x2 layout

A big big down vote for considering this as intentional, which I find very much disappointing and takes some of the excitement for me for Plasma 6 as a ever-since 2x2 layout user.

As Andy requested some screenshots in [1] I'd like to take the opportunity to explain why the current situation is bad:
1) 2x2 layout
Good: The grid uses fully the available space, showing the VDs sufficiently large
Bad: The overview is now just another present windows effect, there's no real overview since the previews are missing

2) 1x4 layout
Good: The overview effect works as expected
Bad: The grid shows all VDs in a linear fashion and thus all previews are very small and absolutely most of the screen is left blank

Thus you got to choose: 2x2 and use only the grid or 1x4 and use only the overview. This is bad. I'd like to use the overview just as with a 1x4 linear layout.

[1] https://invent.kde.org/plasma/kwin/-/merge_requests/5330
Comment 11 postix 2024-02-29 20:20:26 UTC
Created attachment 166219 [details]
Screenshot: Grid with 1x4 layout
Comment 12 postix 2024-03-01 10:05:33 UTC
Sorry for the over-dramatization two posts above :) but my point still stands. I'd like to re-open this issue to generate more the impression that discussions here is actually alive and valid.

https://invent.kde.org/plasma/kwin/-/merge_requests/5330#note_883093
> we do this, we'll be re-introducing the multiple bugs that were fixed by no longer linearizing non-linear layouts.

As a compromise, in case of non-linear layouts, I would be fine if  the "add new VD +" button and the "trash cans" are not displayed in the overview effect.

That way it'd be become more static and many of the "multiple bugs" should be dodged, yet still non-linear layout user can fully enjoy an overview effect with a VD preview bar.
Comment 13 postix 2024-03-01 13:44:47 UTC
Created attachment 166253 [details]
Mockup: Overview with row indicator

To further decrease any confusion about a different layout some users may have due the linearization I'd suggest to add a row indicator to the VD preview bar. Please see the mockup.  I believe this makes it pretty obvious and clear. :)
Comment 14 Rafael Lima 2024-03-01 14:28:06 UTC
(In reply to Niccolò Venerandi from comment #8)
> You can press the Overview shortcut again to switch to the grid mode and
> easily move applications between desktops

Unfortunately this is not a nice experience. The current implementation in 5.27 is so much better.

(In reply to postix from comment #13)
> To further decrease any confusion about a different layout some users may
> have due the linearization I'd suggest to add a row indicator to the VD
> preview bar. Please see the mockup.  I believe this makes it pretty obvious
> and clear. :)

TBH I think the indicators are not needed... they clutter the interface. It would be better to simply revert to what we had in 5.27.

If a user sets a 2x2 = 4 workspaces, they won't find it weird to see a row with 4 workspaces when they open the overview. Now, if the user sees nothing at the top bar when the Overview is started, then this will be weird.
Comment 15 Nate Graham 2024-03-01 19:51:19 UTC
Yeah, we're reconsidering this and discussing options a at the moment.
Comment 16 postix 2024-03-03 20:01:08 UTC
*** Bug 482286 has been marked as a duplicate of this bug. ***
Comment 17 Patrick Silva 2024-03-06 23:09:14 UTC
*** Bug 482599 has been marked as a duplicate of this bug. ***
Comment 18 Nate Graham 2024-03-07 03:46:35 UTC
*** Bug 482564 has been marked as a duplicate of this bug. ***
Comment 19 Gian S. 2024-03-08 00:14:59 UTC
I completely agree with Rafael Lima, the current implementation is not providing a good experience. Pressing the Overview shortcut again is also not convenient.. for example I fire the 'Overview' with a Screen Edge action, not with a shortcut, hence I do not even touch the keyboard, it is a mouse action. Why are you trying to copy the bad implementation in Windows 10/11? The Plasma 5.27 version was excellent
Comment 20 Firlaev-Hans 2024-03-08 11:01:28 UTC
Another argument in favor of always showing the VD bar in the overview is, for me anyways, that the desktop bar lets you quickly and conveniently add, remove and, at least on P5, rename (though unfortunately not rearrange) desktops on the fly, which the grid doesn't.
(I suppose that functionality could be added to the grid, but I think it makes more sense in the bar).
(Also, adding or removing VDs on the fly when they are arranged in a grid may be confusing if doing so changes their layout, I don't have a good solution for that off hand)

Besides that I find it rather inconsistent to show the bar only under certain circumstances without even letting the user know about it.
I like having two rows because it makes navigating the desktops with touchpad gestures easier, but also want the desktop bar in the overview for various reasons including those mentioned above.

(In reply to postix from comment #13)
> Created attachment 166253 [details]
> Mockup: Overview with row indicator
> 
> To further decrease any confusion about a different layout some users may
> have due the linearization I'd suggest to add a row indicator to the VD
> preview bar. Please see the mockup.  I believe this makes it pretty obvious
> and clear. :)

I like that proposal. I personally don't think it is necessary but if there is any concern about confusing the users about the layout, this should fix that (besides, as I said I think the status quo on Plasma 6 is more confusing)
Comment 21 Niccolò Venerandi 2024-03-08 19:57:12 UTC
(In reply to Gian S. from comment #19)
> Why are you trying to copy the bad implementation in Windows 10/11?

May I ask you what's the source of this statement? Because I'm the one who made the feature and I had no clue W10/11 even allowed virtual desktop grids, and I certainly didn't know that W10/11 hides the virtual desktop bar if you have multiple row of desktops.

One thing that I was thinking could help out is: what if, when you start dragging a window, the effect automatically switches to the desktop grid so that it's easier to drop in to another desktop? (and, why would you be drag-and-dropping a window on the Overview anyway, without the desktop bar?)
Comment 22 postix 2024-03-08 20:38:35 UTC
> what if, when you start dragging a window, 
> the effect automatically switches to the desktop grid so
> that it's easier to drop in to another desktop?

and what is supposed to happen, after dropping it? Will the grid remain open? will the overview be shown again? with the same VD focused or the one where the window was dropped?

I think this would all make the UI more complicated. I still believe that simply displaying the desktop bar is the way to go.
Comment 23 Patrick Silva 2024-03-08 21:54:58 UTC
*** Bug 482924 has been marked as a duplicate of this bug. ***
Comment 24 Matty R 2024-03-08 22:22:35 UTC
My own bug was marked as a duplicate of this so I read through the comments. I think there should be changes to the Overview:

* if more than one row, show at a minimum the row that the current VD belongs, with a scroll to change the displayed row
* A configuration option in the Overview settings to collapse all rows into a single row for the purposes of displaying in Overview
Comment 25 Prajna Sariputra 2024-03-09 02:11:55 UTC
> what if, when you start dragging a window, the effect automatically switches to the desktop grid so that it's easier to drop in to another desktop? (and, why would you be drag-and-dropping a window on the Overview anyway, without the desktop bar?)

While that would improve the usefulness of the overview with a grid of desktops, it would still be missing the ability of switching virtual desktops with just the mouse, especially since for hot corners and edges triggering the effect twice to get to the grid doesn't work, and assigning the hot corner to the grid rather than the overview (only possible in 6.1) means that the KRunner powered search isn't accessible.

While there are of course other ways of using just the mouse to switch desktops (pager widget, scrolling on the desktop background if that's enabled, assigning the grid to a different corner/edge), what I loved about the Plasma 5 overview is that it was a one stop shop for everything: app launching, app switching, desktop switching, moving apps between desktops, and everything else KRunner can do, instead of having to go to the other separate places to do these things (Kickoff, Alt+Tab app switcher, task manager widget, pager widget, grid effect).

Also, the reason I'm using a grid of desktops (2 rows, 3 columns in my case) instead of having them all in one row/column is that with wraparound enabled it only takes me 2 touchpad gestures (or switch to left/right/up/down desktop shortcut) at most to get from one desktop to any other one of the 6, and 3 of the desktops are always accessible with just one gesture/shortcut. If the 2D gestures support comes in then that would make all the desktops accessible with just one gesture with my grid setup.

> and what is supposed to happen, after dropping it? Will the grid remain open? will the overview be shown again? with the same VD focused or the one where the window was dropped?

Currently if the desktop bar is visible dragging and dropping a window into another virtual desktop will not change the current VD (say if you're in VD1 and you drop a window to VD3 then the overview would stay at VD1), so to maintain that sort of behavior after dropping a window the overview should be shown again at the same VD the user started at. That would have a disadvantage of a lot of stuff moving around on screen all the time if someone has say 4 windows in one VD and wants to move all of them into other VDs though.
Comment 26 Gian S. 2024-03-11 16:15:32 UTC
(In reply to Niccolò Venerandi from comment #21)
> (In reply to Gian S. from comment #19)
> > Why are you trying to copy the bad implementation in Windows 10/11?
> 
> May I ask you what's the source of this statement? Because I'm the one who
> made the feature and I had no clue W10/11 even allowed virtual desktop
> grids, and I certainly didn't know that W10/11 hides the virtual desktop bar
> if you have multiple row of desktops.
> 
> One thing that I was thinking could help out is: what if, when you start
> dragging a window, the effect automatically switches to the desktop grid so
> that it's easier to drop in to another desktop? (and, why would you be
> drag-and-dropping a window on the Overview anyway, without the desktop bar?)

The current implementation looks to me very very similar to Windows Task View implementation:

https://en.wikipedia.org/wiki/Task_View#/media/File:Virtual_Desktops_in_Windows_11.png

This is what prompted my comment.

In my opinion, the previous implementation in Plasma 5 was much more efficient, clearer, simpler to use and so on. To move from a virtual desktop to another you just needed to click on that specific virtual desktop. Even more convenient, if you clicked on the 'mini' version of a window inside virtual desktop you the animation would immediately take you to that desktop and select (bring to the front) the selected window/app. Now you need to click on the desired virtual desktop and that brings up that selected desktop but still in 'Overview' mode. To actually be redirected to that desktop and start working you need another click. Why? this is just an unnecessary extra step. Then again, maybe you, or others have different opinions, but this is mine.
Comment 27 Ben Guy-Williams 2024-03-16 13:44:53 UTC
(In reply to Rafael Lima from comment #14)
> (In reply to Niccolò Venerandi from comment #8)
> > You can press the Overview shortcut again to switch to the grid mode and
> > easily move applications between desktops
> 
> Unfortunately this is not a nice experience. The current implementation in
> 5.27 is so much better.
> 
> (In reply to postix from comment #13)
> > To further decrease any confusion about a different layout some users may
> > have due the linearization I'd suggest to add a row indicator to the VD
> > preview bar. Please see the mockup.  I believe this makes it pretty obvious
> > and clear. :)
> 
> TBH I think the indicators are not needed... they clutter the interface. It
> would be better to simply revert to what we had in 5.27.
> 
> If a user sets a 2x2 = 4 workspaces, they won't find it weird to see a row
> with 4 workspaces when they open the overview. Now, if the user sees nothing
> at the top bar when the Overview is started, then this will be weird.

When pressing 'Meta+W' to get overview, pressing it again simply enters 'W' in the search.  

I'm having a lot of trouble understanding this, my rectangular screen zooms 4 desktops in a lovely grid with good resolution on a FHD monitor - why can't I just see 4 in a row in Overview?
Comment 28 Prajna Sariputra 2024-03-16 13:54:03 UTC
> When pressing 'Meta+W' to get overview, pressing it again simply enters 'W' in the search.  

You'll probably want to file a different bug report for that, it's certainly not intentional.

Also, there are two different shortcuts that can get you to the overview, one is "Toggle Overview" and the other is "Cycle through Overview and Grid View", the first one defaults to Meta+W and the other defaults to Meta+Tab. Only the second one will behave as Niccolò described (press once to open overview, press again to switch to grid view).
Comment 29 Dashon 2024-03-16 19:42:58 UTC
I'm not having the Meta + W issue. It works correctly on my end. Using Arch.
Comment 30 postix 2024-03-16 19:46:25 UTC
To get back to topic:

another idea which came to my mind is to add a kind of "mini map" in the form of the "pager applet" to the desktop bar, which highlights the currently selected desktop. 

Of course, this "mini map" would only be displayed in case of a non-linear grid.

That way the user should not loose their "overview". :)
Comment 31 Michael D 2024-03-23 09:22:03 UTC
The spatial layout doesn't have to be represented in the overview effect. What's important is that the user has all features available that the overview effect is supposed to provide, e.g. moving windows to different desktops, etc. Making certain important features available only under limited circumstances unknown to the user doesn't make sense.

I would suggest forgetting about trying to represent the spatial layout and keeping the desktop bar as it was. This is much less confusing than what is currently implemented. Even under a 2x2 layout, e.g., one knows which desktop is the 1st, the 2nd, etc., so the linear representation is not confusing.
Comment 32 Nate Graham 2024-04-13 14:26:52 UTC
*** Bug 477942 has been marked as a duplicate of this bug. ***
Comment 33 Nate Graham 2024-04-13 14:27:00 UTC
*** Bug 483959 has been marked as a duplicate of this bug. ***
Comment 34 Nate Graham 2024-04-13 14:27:18 UTC
*** Bug 485481 has been marked as a duplicate of this bug. ***
Comment 35 tracyanne 2024-04-13 21:16:13 UTC
As n attempt to clarify here.

On Plasma 5 main desktop, the Overview displayed the Virtual Desktops in the Bar, regardless of what arrangement the Desktops are in. For example on my Plasma 5 Desktop I have my desktops arranged in a 3 by 3 Grid for the GridView. When I switch to the OverView all 9 Virtual Desktops are displayed in the Bar. This is not at all confusing.

This does not happen on my Plasma 6 test Desktop. So something changed.

With regard to dragging windows between Virtual Desktops. 

Current on my Plasma5 Desktop, When in Overview Mode,  I can drag a Window from the Currently selected Virtual Desktop to any other Virtual Desktop. This is not a problem, and I see no need to switch to Gridview to do this. I also see no need to change this behaviour for Plasma 6.

I hope I haven't further muddied the water.
Comment 36 Katharina Fey 2024-04-17 10:39:40 UTC
I think there's 2 things that irk me about this bug:

1. I was given NO FEEDBACK as to what might be happening when my workspace grid didn't show up. I didn't know if it was intentional behaviour or a packaging bug or something else. Having a little "yo btw" notice appear in the settings window when you create a workspace grid would probably already reduce the number of duplicate bug reports for this issue ;)

2. As far as I can tell (at least on my system) there's no "workspace overview" (the <M-g> one) screen edge corner. Previously it was easy for me to move windows across workspace grid with just my mouse, now that's not possible anymore without also using my keyboard :(

As for a design suggestion, I posted this in 485481 because idk why I didn't find this issue first:

---

Tricky! The old behaviour showed the grid of workspaces, but it was always a bit cramped, so I can understand wanting to change this.

An alternative would be to still show the current row and column (both!) at the top and left side of the screen, with some "hinted" workspaces above/below and left/right. This would allow dragging windows there to a) move the window and b) (optionally?) switch to that workspace. At which point the hints would change (to show some above/ to the left of the existing row/column). It means you can drag windows down your current row or your current column, but you can't drag them diagonally.

Probably needs a bunch of design work and tweaking to figure out how to make it look good, but maybe this is an alternative to be able to support large workspace grids like nobody currently does.
Comment 37 Prajna Sariputra 2024-04-17 10:46:17 UTC
(In reply to Katharina Fey from comment #36)
> As far as I can tell (at least on my system) there's no "workspace overview" (the <M-g> one) screen edge corner. Previously it was easy for me to move windows across workspace grid with just my mouse, now that's not possible anymore without also using my keyboard

That's bug 478137, which will be fixed when Plasma 6.1 comes out.
Comment 38 breakingspell 2024-06-10 21:17:24 UTC
*** Bug 488330 has been marked as a duplicate of this bug. ***
Comment 39 breakingspell 2024-06-10 21:22:34 UTC
Hello, I opened a report for the Desktop Bar feature specifically but notice it's being discussed here, along with the root cause and that it was intentional. 

I use a 2x2 desktop grid and noticed the Desktop Bar feature missing right away with Plasma 6. I decided to wait for the dust to settle before looking into it, and when testing Plasma 6.1 in a fresh session, noticed it "restored" with the default 1-row Virtual Desktop layout. No, turns out it has been here all long, it just hides when the layout is not linear. 

The Desktop Bar is useful and should always be visible, no matter if us squares prefer our 2x2 layout.
Comment 40 tracyanne 2024-06-10 22:18:27 UTC
What I don't understand is, the reason for changing the behaviour of the Desktop Gid.

The Desktop Grid has been a feature of the KDE Desktop since at least Version 3. It works, and has worked well for at least 20 years, so why change it now?

The Addition of the Overview as a a discrete effect, as in Plasma 5.27 was great, and having the choice of either a Desktop Grid or an Overview (as was provided in Plasma 5.27) was a good idea.

So for what reason was it considered necessary to remove The Desktop Grid, as a separate feature? And even, as has been suggested, include some sort of convoluted 'show Desktop Grid' when moving windows between Virtual Desktops. 

I don't understand the thinking here. None od these changes seem to actually provide any real useful functionality. The current implimentation, and addition suggestions appear, to me, to be change for the sake of change, rather than to add or improve functionality.
Comment 41 breakingspell 2024-06-11 00:41:36 UTC
I actually feel like the current three-state Overview-Grid is the best implementation so far, sans the lack of Desktop Bar. It's more unified than ever, and the Desktop Grid and Overview can still function independently from each other. 
But then there are odd issues like this, where the single-screen Overview seems broken because of a grid row setting. Now it's just a form of "Present Windows" again, as mentioned before. 

I'd like to add a few more details regarding my use case, same KDE settings across several machines, 4 virtual desktops in a 2x2 grid, named and kept distinct from each other. 

For work, i'll use a specific desktop for the types of tickets I work (frontend, backend, ops), and the top left quadrant is just "Main". When I want to switch desktops, i'll engage the full Desktop Grid so I can see a general spread of all windows, with how much work I have in each dept. 

However, I often used Overview on the "Main" desktop once it was a feature, to show me all windows with the intention of sorting and "flicking" windows to other desktops via the Desktop Bar (very much like Mac OS and rather intuitive). If I opened a backend ticket on the frontend desktop, i'd just flick it to the backend desktop and then single click to focus that desktop rather than engaging the grid. The search filter is very useful as well. Mac OS will hide their Desktop bar until you gesture over it, so the always-on bar in Plasma 5 with a search box blew that out of the water. 

Since Plasma 6, i've found myself unlearning this workflow because of the lack of this Desktop Bar in the Overview screen (which I assumed was a break), and instead just engaging the large grid, and flicking windows there in the exploded view. This works but not near as intuitive and up-close as the Overview, and I know it's a counterproductive to say, but... it worked before. 

I feel that the Overview should always present a linear Desktop Bar of all Virtual Desktops, regardless of any Virtual Desktop layout or Desktop Grid configuration. Even better would be a KCM settings option to hide the bar or present it from the left side, it should be user preference rather than determined dynamically.